#!/opt/optD2cc_bin_links/perl
#
# script pour fabrique le manuel imprimable avec les document html
#

sub usage {
    die <<"EndUsage";
usage: $0 [-h]  
Process the HTML file to generate postscript.
Display Options:
     -h  Help -- just display this message and quit.
	  -2  two columns mode
     -t  just display the nexted files.

EndUsage
}
#
# ==========================================================================
# Get the command-line options

require "getopts.pl";
&Getopts('ht');
if ($@ || $opt_h) { &usage; }

# ==========================================================================

$thistime   = time;                 # Get the current date-time stamp
$daystr     = &fday($thistime);     # Format it as local time
$documentRoot = "xnd.html";
$html2ps="html2ps";

@fileName = ();
@mTime = ();
&processNext($documentRoot);
exit if ($opt_t) ;
print 1+$#fileName, " html files used\n";
if ($opt_2) { join ($html2ps, $html2ps, "-2"); }
@psFile = ();
$t=$#fileName+1;
for ( $i=0; $i < $#fileName; $i++ ) 
{  $psName =  $fileName[$i];
   $psName =~ s/.html$/.ps/g ;
	$fTime = &fday($mTime[$i]);
	print "writing  html2ps/",$psName, " : ", $fileName[$i], " ",$fTime,"\n";
	$n=$i+1;
	$zr = "$fileName[$i] ($fTime)";
	$zl = "$daystr (file $n/$t)";
   system("$html2ps -n -zr'$zr' -zl'$zl' -ohtml2ps/$psName $fileName[$i]");
	}
system("tar -cvf xnd_ps.tar html2ps; gzip -f -v  xnd_ps.tar");
	
# ===========================================================================
sub processNext 
{
  ($curDocument) = @_;
  open (DOC,$curDocument) || die "Error opening  file: $curDocument\n";
  push @fileName, $curDocument;
  print $curDocument, "\n";
  ($dev, $ino, $mode, $nlink, $uid, $gid, $rdev, $size, $atime, $mtime,
     $ctime, $blksize, $blocks ) = stat DOC;
  push @mTime, $mtime;
  while (<DOC>)
  {  next if ( $_ eq "\n" );
       while (/<a (.*)>(.*)<\/a>/i) 
		 {  $_ = $tagAnchor =  $1;
			 $anchor =  $2;
			 $endLine = $';
			 if (/href=/i)
			 {  $href = $';
				 $_=$anchor;
				 if (/next\s+file/i)
				 {  $href =~ s/\"//g ;
					 close DOC;
					 &processNext($href);
					 }
				  }
         $_ = $endLine;
			}
    }
  close DOC;
  }
# ===========================================================================
sub fday {
    local($time, $TZ) = @_;
    local($[) = 0;
    local($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst);

    local(@MoY) = ('Jan','Feb','Mar','Apr','May','Jun',
                   'Jul','Aug','Sep','Oct','Nov','Dec');

    ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime($time);

#    $year += ($year < 70) ? 2000 : 1900;
    sprintf("%02d%s%02d", $mday, $MoY[$mon], $year);
}
# ===========================================================================
