#!/bin/csh
#
# XND_REF.CSH    script pour maintenir a jour version, date */
#
#  echo "csh xnd_ref.csh"
  if ( -f core ) rm core
   if ( ( ! $?HOST  ) ) then
      echo "  using xnd_ref.c, not on primary source"
      exit
      endif
   if ( ( $HOST != "d2mat" && $HOST != "d2mat2"  && $HOST != "d2pluo2" ) ) then
      echo "  using xnd_ref.c, not on primary source"
      exit
      endif
   if ( ! ( -f xnd_ref.co  ) ) then
      echo "  using xnd_ref.c, no xnd_ref.co available"
      exit
      endif
   echo "  building a new xnd_ref.c on the primary source"
# clean xnd_ref.c
   if ( -f xnd_ref.c ) rm xnd_ref.c
# get the date
   if ( -f xnd_ref.dat    ) rm xnd_ref.dat
   date > xnd_ref.dat
# get the version number
   if ( -f xnd_ref.tim0    ) rm xnd_ref.tim0
   find . -path ./xnd_ref.tim  -mtime +15 -exec awk '{ printf("%.2f", $1+0.01);}' {} \; >xnd_ref.tim0 
   if ( -f xnd_ref.tim0 && ! -z xnd_ref.tim0 ) then
       echo '  version reference was increased : xnd_\c'
       cp xnd_ref.tim0  xnd_ref.tim       
       else
       echo '  version reference has not been changed : xnd_\c'
       touch xnd_ref.tim
       endif
   if ( -f xnd_ref.tim )  cat xnd_ref.tim
   if ( -f xnd_ref.tim0 ) rm xnd_ref.tim0
   echo '\n  copying date and reference to the new xnd_ref.c file'
# create xnd_ref.c
   echo '/* xnd_ref.c, source file created by xnd_ref.csh on the primary source */' > xnd_ref.c
   echo ''                      >> xnd_ref.c
   echo '#include "xnd_def.h"'  >> xnd_ref.c
   echo ''                      >> xnd_ref.c
   echo  'char *xnd_dat (P_(void))   { return "\c'     >> xnd_ref.c
   tr -d '\012' <xnd_ref.dat         >> xnd_ref.c
   echo '";     }'                   >> xnd_ref.c
   echo ''                           >> xnd_ref.c
   echo 'char *xnd_ver (P_(void))   { return "XND \c'    >> xnd_ref.c
   tr -d '\012' <xnd_ref.tim         >> xnd_ref.c
   echo '";     }'                   >> xnd_ref.c
   echo ''                           >> xnd_ref.c
   cat   "xnd_ref.co"                >> xnd_ref.c
